﻿html, body {
    margin: 0;
    height:100%;
}

.site-header {
    color: #fff !important;
    background: linear-gradient(269.7deg, #373A53 20.28%, #373A53 72.89%);
}

.sidebar {
    width: 270px;
    display:flex;
    flex-direction:column;
    height:100%;
}

.content {
    margin-left: 270px;
}


.site-logo {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

.logo-container {
    width: 88px;
    height: 53px;
    margin-left: 2px;
    margin-right: 5px;
    position: relative;
}

.header-company-list {
    min-width: 150px !important;
    font-size: 0.8rem;
}

.pict-user {
    width: 40px;
    height: 40px;
}

.cursor-pointer {
    cursor: pointer
}

.icon-module {
    width: 1.5rem;
    height: 1.5rem;
    background-color: #0068a7;
    border-radius: 50%;
    object-fit: contain;
    object-position: center;
}

.leftmenu-selected {
    color: #005c94 !important;
    font-weight: 700;
    pointer-events: none;
    cursor: default !important;
}

.div-search-combo {
    position: absolute !important;
    z-index: 1000;
    top: 100%;
    overflow-y: auto;
    border: 1px solid #dee2e6;
    width:100%;
}

.maus-card {
    background: #f9f9f9;
    border-radius: var(--bs-border-radius-lg) !important;
    padding: 1.5rem !important;
    margin-bottom: 3rem !important;
    border: 0 !important;
}

.maus-table-border {
    border-radius: 0.5rem !important;
    border-width: 1px !important;
    border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important;
}

.maus-table {
    margin-bottom: 0 !important;
    box-shadow: var(--bs-box-shadow-sm) !important;
    vertical-align: middle !important;
}

.maus-table thead th, .maus-table tr th
{
    padding:12px 16px;
    font-weight:400;
}

.maus-table tbody tr td {
    padding: 12px 16px;
}

.m-title {
    margin-bottom: .475rem;
}

.m-edit {
    font-size: 1rem;
    margin-bottom: .475rem;
    color: #000;
    background: transparent;
    border: none;
    padding: 0 !important;
    font-weight: 700 !important;
    text-decoration: underline;
}

.image-btn {
    border:none;
    background: none;
}

.custom-table tbody tr th,
.custom-table thead th {
    background: #F9F9F9;
    color: #262626;
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    vertical-align: middle;
}

.custom-table tbody tr th,
.custom-table thead th,
.custom-table tbody td {
    padding: 12px 16px;
}

.custom-table tbody td {
    color: #262626;
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    vertical-align: middle;
}

.assign-list {
    padding-left: 1rem;
}

.assign-list li {
    cursor:pointer;
    list-style-type: none !important;
}

.assign-list li:hover {
    background:#F9F9F9;
}

.in-progress {
    color: #0073B9 !important;
    font-weight: 600;
    position: relative;
}

.completed {
    color: #30AC82 !important;
    font-weight: 600;
    position: relative;
}

.completed:before {
    content: '\F26B';
    font-family: "bootstrap-icons";
    color: #30AC82;
    font-weight: 600;
    font-size: 12px;
    vertical-align: middle;
    margin-right: 5px;
}

.over-due {
    color: var(--bs-danger) !important;
    font-weight: 600;
    position: relative;
}

.progress-label {
    position: absolute;
    width: 100%;
    text-align: center;
    top: 50%;
    transform: translateY(-50%);
    color: var(--bs-white);
    font-weight: 600;
}

.line-with-text {
    position: relative;
    text-align: left;
    margin: 0.075rem 0;
}

    .line-with-text::before {
        content: "";
        position: absolute;
        top: 50%;
        left: 0;
        width: 100%;
        border-top: 2px solid var(--bs-border-color); /* Line style */
        z-index: 1;
    }

    .line-with-text span {
        position: relative;
        background: white; /* Matches page background */
        padding: 0 10px;
        z-index: 2;
        font-weight:bolder ;
    }

@media (max-width: 768px) {
    .m-block {
        width: 50%;
    }

    .maus-table-border {
        border-width: 0 !important;
    }

    .sidebar {
        display: none;
    }

    .content {
        margin-left: 0;
    }

    table.table {
        border: none !important;
        box-shadow: none !important;
    }


    .collapse-table-wide thead {
        display: none;
    }

    .collapse-table-wide tbody tr {
        display: block;
        border: 1px solid #ddd;
        margin-bottom: 1rem;
        border-radius: 10px;
        padding: 0.5rem;
        background: #fff;
    }

    .collapse-table-wide tbody tr td {
        display: flex;
        width: 100%;
        justify-content: space-between; 
        padding: 0.5rem 0;
        border: none;
        border-bottom: 1px solid #eee;
        font-size: 0.95rem;
    }

    .collapse-table-wide tbody tr td:last-child {
        border-bottom: none;
    }

    .collapse-table-wide tbody td:before {
        content: attr(data-before);
        font-weight: 600;
        color: #555;
        white-space:nowrap;
    }

}
